# $Revision: 1.14 $, $Date: 2011/01/11 12:20:30 $
%define		plugin	check_bacula_log
%include	/usr/lib/rpm/macros.perl
Summary:	Nagios plugin to check bacula status via bacula log
Name:		nagios-plugin-%{plugin}
Version:	1.8
Release:	1
License:	GPL v2
Group:		Networking
Source0:	%{plugin}.pl
Source1:	%{plugin}.cfg
URL:		http://exchange.nagios.org/directory/Plugins/Backup-and-Recovery/Bacula/check_bacula_log/details
BuildRequires:	perl-devel >= 1:5.8.0
BuildRequires:	rpm-perlprov >= 4.1-13
Requires:	nagios-common
Requires:	nagios-plugins-libs
BuildArch:	noarch
BuildRoot:	%{tmpdir}/%{name}-%{version}-root-%(id -u -n)

%define		_sysconfdir	/etc/nagios/plugins
%define		plugindir	%{_prefix}/lib/nagios/plugins

%define		_noautoreq	perl(utils)

%description
Nagios plugin that checks whether the backups made for today with the
Bacula backup system were succesful.

This requires the Nagios user to have read access to the bacula log
file.

%prep
%setup -qcT
ver=$(awk '/my \$REVISION/{print $(NF-1)}' %{SOURCE0})
if [ "$ver" != %{version} ]; then
	exit 1
fi

%install
rm -rf $RPM_BUILD_ROOT
install -d $RPM_BUILD_ROOT{%{_sysconfdir},%{plugindir}}
install -p %{SOURCE0} $RPM_BUILD_ROOT%{plugindir}/%{plugin}
cp -a %{SOURCE1} $RPM_BUILD_ROOT%{_sysconfdir}/%{plugin}.cfg

%clean
rm -rf $RPM_BUILD_ROOT

%files
%defattr(644,root,root,755)
%config(noreplace) %verify(not md5 mtime size) %{_sysconfdir}/%{plugin}.cfg
%attr(755,root,root) %{plugindir}/%{plugin}

%define date	%(echo `LC_ALL="C" date +"%a %b %d %Y"`)
%changelog
* %{date} PLD Team <feedback@pld-linux.org>
All persons listed below can be reached at <cvs_login>@pld-linux.org

$Log: nagios-plugin-check_bacula_log.spec,v $
Revision 1.14  2011/01/11 12:20:30  glen
- changed min backups to 1 to avoid 0 backups being ok state:
  OK - Backups: 0 backups completed successfully

Revision 1.13  2010/10/25 15:52:00  glen
- claimed and renamed plugin

Revision 1.12  2010/10/25 09:52:17  glen
- 1.7: bacula 5.0 log format support (minor change in timestamps)

Revision 1.11  2010/01/22 11:37:46  glen
- v1.5: improve reporting, detail out failed jobs

Revision 1.10  2010/01/22 10:52:37  glen
- move plugin config to separate file in cvs

Revision 1.9  2010/01/22 10:50:57  glen
- move source to pld cvs

Revision 1.8  2010/01/18 11:36:57  glen
- intervals provided in seconds but should be in minutes
- rel 3

Revision 1.7  2010/01/14 16:00:22  glen
- release 2

Revision 1.6  2010/01/14 15:59:19  glen
- release 1

Revision 1.5  2010/01/14 15:57:35  glen
- use srtftime instead of shell call, fix spelling and version

Revision 1.4  2010/01/14 15:41:29  glen
- md5

Revision 1.3  2010/01/14 15:40:53  glen
- release 1

Revision 1.2  2010/01/14 15:05:08  glen
- fix deps, correct service template

Revision 1.1  2010/01/14 13:40:19  glen
- new, use check_bacula_log as name to reserve check_bacula name for plugin on bacula contrib
